ru.bitel.bgbilling.modules.smarthouse.common.service

## Interface ForpostGroupService

-     public interface ForpostGroupService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addForpostGroup(ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostGroup forpostGroup)`
    `void` | `deleteForpostAccountGroups(int accountId)`
    `void` | `deleteForpostGroup(int id)`
    `void` | `doSync()`
    `void` | `doSyncForpostGroups(int accountId)`
    `ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostGroup` | `getDefaultForpostGroup()`
    `SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostGroup>` | `searchForpostAccountGroups(int accountId)`
    `SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostTMCAO<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostGroup>>` | `searchForpostGroups(java.lang.String[] sort, Page page)`
    `void` | `updateForpostGroup(ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostGroup forpostGroup)`
    `void` | `updateForpostGroupParam(int forpostGroupId, java.lang.String name, java.lang.String value)`

- - ### Method Detail

    - #### searchForpostGroups

          SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostTMCAO<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostGroup>> searchForpostGroups(java.lang.String[] sort,
                                                                                                                                                                                           Page page)
                                                                                                                                                                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### searchForpostAccountGroups

          SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostGroup> searchForpostAccountGroups(int accountId)
                                                                                                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### doSync

          void doSync()
               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### doSyncForpostGroups

          void doSyncForpostGroups(int accountId)
                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getDefaultForpostGroup

          ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostGroup getDefaultForpostGroup()
                                                                                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### addForpostGroup

          int addForpostGroup(ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostGroup forpostGroup)
                       throws ru.bitel.bgbilling.common.BGException,
                              ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### updateForpostGroup

          void updateForpostGroup(ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostGroup forpostGroup)
                           throws ru.bitel.bgbilling.common.BGException,
                                  ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### updateForpostGroupParam

          void updateForpostGroupParam(int forpostGroupId,
                                       java.lang.String name,
                                       java.lang.String value)
                                throws ru.bitel.bgbilling.common.BGException,
                                       ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### deleteForpostGroup

          void deleteForpostGroup(int id)
                           throws ru.bitel.bgbilling.common.BGException,
                                  ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### deleteForpostAccountGroups

          void deleteForpostAccountGroups(int accountId)
                                   throws ru.bitel.bgbilling.common.BGException,
                                          ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`